Loading...
Searching...
No Matches
RDKit::SmartsWrite Namespace Reference

## Functions

RDKIT_SMILESPARSE_EXPORT std::string | GetAtomSmarts (const Atom *qatom)
| returns the SMARTS for an Atom
RDKIT_SMILESPARSE_EXPORT std::string | GetBondSmarts (const Bond *qbond, int atomToLeftIdx=-1)
| returns the SMARTS for a Bond

## Function Documentation

## GetAtomSmarts()

RDKIT_SMILESPARSE_EXPORT std::string RDKit::SmartsWrite::GetAtomSmarts | ( | const Atom * | qatom | ) |

returns the SMARTS for an Atom

## GetBondSmarts()

RDKIT_SMILESPARSE_EXPORT std::string RDKit::SmartsWrite::GetBondSmarts | ( | const Bond * | qbond,
|  | int | atomToLeftIdx = `-1`
| ) |  |

returns the SMARTS for a Bond